SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1796618 - Allow IPv6 CIDRs to be used in install-config
Summary: Allow IPv6 CIDRs to be used in install-config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Russell Bryant
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On: 1796624
Blocks: 1785718 1794699 1788526 1789124 1789421 1790434 1790442 1792309 1794548 1794765
TreeView+ depends on / blocked
 
Reported: 2020-01-30 19:20 UTC by Russell Bryant
Modified: 2020-03-10 23:53 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1796624 (view as bug list)
Environment:
Last Closed: 2020-03-10 23:53:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3029 None closed Bug 1796618: [release-4.3 IPv6] Replace MachineCIDR with MachineNetwork, add Azure IPv6 2020-03-18 20:06:35 UTC
Red Hat Product Errata RHBA-2020:0676 None None None 2020-03-10 23:53:44 UTC

Description Russell Bryant 2020-01-30 19:20:26 UTC
Currently, IPv6 CIDRs are rejected during install-config validation.  This was changed in master/4.4 via https://github.com/openshift/installer/pull/2829

Comment 1 Russell Bryant 2020-01-30 19:20:43 UTC
See https://github.com/openshift/installer/pull/3029

Comment 4 Gaoyun Pei 2020-02-21 07:21:48 UTC
Verify this bug with registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-02-21-003712

Set the following parameters in install-config.yaml
networking:
  clusterNetwork:
  - cidr: fd01::/48
    hostPrefix: 64
  machineNetwork:
  - cidr: 10.0.0.0/16
  - cidr: fd00::/48
  networkType: OVNKubernetes
  serviceNetwork:
  - fd02::/112

With OPENSHIFT_INSTALL_AZURE_EMULATE_SINGLESTACK_IPV6=true, start the installation. Installer could create the expected subnets with ipv6 address CIDR. Move this bug to verified.

Comment 6 errata-xmlrpc 2020-03-10 23:53:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0676


Note You need to log in before you can comment on or make changes to this bug.